OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000120OMNeT++IDE / NED editorpublic2009-12-17 13:522016-03-04 10:40
Reporterlowtexx 
Assigned Torhornig 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version5.0 
Summary0000120: Parameter 2 for bgs in displaystring is ignored
DescriptionThe parameter number 2 of the tag 'bgs' is ignored in the displaystring.

All the following lines do the same.
@display("bgb=6000,4500;bgi=maps/europe,s;bgg=1000,2,grey95;bgs=0.075,m");
@display("bgb=6000,4500;bgi=maps/europe,s;bgg=1000,2,grey95;bgs=0.075,km");
@display("bgb=6000,4500;bgi=maps/europe,s;bgg=1000,2,grey95;bgs=0.075,mm");

Furthermore variables can not be used in the bgs tag.
Example:
@display("bgb=6000,4500;bgi=maps/europe,s;bgg=1000,2,grey95;bgs=$scaling,km");
This does not work.

Reason:
modinsp.cc - line 607
    const char *scaling = parentmodule->hasDisplayString() ? parentmodule->getDisplayString().getTagArg("bgs",0) : "";

This uses only the first parameter and variables are not resolved.
Additional InformationOmnet 4.0 / Gentoo Linux / x86
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000210)
andras (administrator)
2010-03-03 16:30

At major ticks, the number and the unit should be displayed. E.g. 100km, 200km, 300km,...
(0001174)
rhornig (administrator)
2016-03-04 10:40

The BGS tag is now controlling the zoom. The second argument is not interpreted by OMNeT++, but it should be handled by the models themselves if the model chooses to read the coordinates from the display string.

- Issue History
Date Modified Username Field Change
2009-12-17 13:52 lowtexx New Issue
2010-03-03 16:30 andras Note Added: 0000210
2016-03-04 10:40 rhornig Note Added: 0001174
2016-03-04 10:40 rhornig Status new => resolved
2016-03-04 10:40 rhornig Fixed in Version => 5.0
2016-03-04 10:40 rhornig Resolution open => fixed
2016-03-04 10:40 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker